Well, probably I'm being silly, but the original app was written with .NET 1.0 and I'd rather not have that around on my machine.

Similarly, if I'm not mistaken, the clients would then have to install both the versions of .NET which would be rather uncomfortable and is going to get more than one eyebrow to lift.

I'd go to great lengths just to keep the solution "straight 2.0". Anyway thanks for the advice.

--m